rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
cpioSourceArchive_s Struct Reference

`#include <build/buildio.h>`

Collaboration diagram for cpioSourceArchive_s:
[legend]

## Data Fields

rpmuint32_t | cpioArchiveSize
FD_t | cpioFdIn
rpmfi | cpioList
struct rpmlead * | lead

## Detailed Description

Definition at line 15 of file buildio.h.

## Field Documentation

rpmuint32_t cpioSourceArchive_s::cpioArchiveSize

Definition at line 16 of file buildio.h.

Referenced by cpio_copy(), cpio_doio(), and writeRPM().

FD_t cpioSourceArchive_s::cpioFdIn

Definition at line 18 of file buildio.h.

Referenced by cpio_copy(), and writeRPM().

rpmfi cpioSourceArchive_s::cpioList

Definition at line 20 of file buildio.h.

Referenced by cpio_doio(), and writeRPM().

struct rpmlead* cpioSourceArchive_s::lead

Definition at line 22 of file buildio.h.

The documentation for this struct was generated from the following file:

- build/buildio.h